# Get ledger balances Get balances for ledger owned by a RippleNet address. Endpoint: GET /monitor/ledger/balances Version: 4.0.0 Security: Bearer ## Response 200 fields (application/json): - `local_balance` (array, required) Provides balance details for accounts owned by a RippleNet address. - `local_balance.institution` (string, required) RippleNet unique internal ID of the institution that owns the balances provided in the currency_balances array. Example: "rn.us.ca.san_francisco" - `local_balance.institution_address` (string, required) RippleNet address of the institution that owns the balances provided in the currency_balances array. Example: "rn.us.ca.san_francisco" - `local_balance.currency_balances` (array, required) Provides balance details for accounts owned by a RippleNet address. The response does not guarantee a fixed number of elements, or a fixed order of elements, in the returned list. - `local_balance.currency_balances.currency` (string, required) Currency of the balances provided. Example: "USD" - `local_balance.currency_balances.aggregate_balance` (number, required) Aggregated balance for the given currrency. - `local_balance.currency_balances.account_balances` (array, required) Provides balance details for accounts that support the given currency. - `local_balance.currency_balances.account_balances.account_name` (string) Name of the account, which acts as the account's unique identifier on RippleNet. Example: "trans_usd_sf" - `local_balance.currency_balances.account_balances.balance` (number) Balance available in the account. Example: -909 - `local_balance.currency_balances.account_balances.owner` (string) RippleNet address of the owner of the account. Example: "rn.us.ca.san_francisco" - `local_balance.currency_balances.account_balances.currency` (string) Currency supported by the account. Example: "USD" - `local_balance.currency_balances.account_balances.minimum_allowed_balance` (number) Minimum balance allowed for the account. Example: -1500000 - `local_balance.currency_balances.account_balances.maximum_allowed_balance` (number) Maximum balance allowed for the account. Example: 1000000 - `local_balance.currency_balances.account_balances.low_liquidity_threshold` (number) When the balance value for a sender account meets or is less than this amount after payment settlement execution, a low-liquidity message is logged at the INFO level. Example: 1000 - `local_balance.currency_balances.account_balances.owner_min_allowed_balance` (number) Minimum balance allowed by the owner of a nostro account. RippleNet Server uses the greater of this value and the minimum_allowed_balance to set the account balance minimum. - `local_balance.currency_balances.account_balances.owner_max_allowed_balance` (number) Maximum balance allowed by the owner of a nostro account. RippleNet Server uses the lesser of this value and the maximum_allowed_balance to set the account balance maximum. Example: 1000000 - `local_balance.pool_account_balances` (array) Provides balance details of pool accounts, along with RippleNet accounts linked to those pool accounts. - `local_balance.pool_account_balances.pool_account_name` (string) Name of the pool account. - `local_balance.pool_account_balances.balance` (number) Aggregated balance of linked accounts which form this pool account. - `local_balance.pool_account_balances.owner` (string) The RippleNet peer who owns this pool account. - `local_balance.pool_account_balances.currency` (string) The currency of pool account. - `local_balance.pool_account_balances.linked_accounts` (array) Accounts linked to this pool account. - `remote_balances` (array, required) Provides balance details for accounts owned by a RippleNet address. - `errors` (array, required) Lists any errors encountered when returning balance details. ## Response 400 fields (application/json): - `type` (string) URL to the error documentation. Example: "https://errors.ripplenet.ripple.com/error/json-processing-error" - `title` (string) Summary of the returned problem. Example: "Invalid Request Object" - `detail` (string) Description of the returned problem. Example: "The request parameter [account_id] is not in the correct format." - `status` (number) HTTP error code. Example: 400 - `ripplenet_error_code` (string) RippleNet specific error code. Example: "E0104" - `finality` (string) Specifies if the request can be retried for a successful response. Example: "PERMANENT"